# Maintainer: anon at sansorgan.es
pkgname=dune-vcfv
_tarver=1.0
_tar="${_tarver}/${pkgname}-${_tarver}.tar.gz"
pkgver=${_tarver//-/_}
pkgrel=1
#epoch=
pkgdesc="Helper structures to compute controle volumes for vertex centered finite volume methods in 2D and 3D"
arch=('x86_64')
url="https://gitlab.dune-project.org/extensions/${pkgname}"
license=('GPL2')
groups=('dune-extensions')
depends=('dune-grid>=2.7.1')
# makedepends=('texlive-core' 'biber' 'imagemagick' 'python-sphinx' 'doxygen' 'gnu-free-fonts' 'inkscape' 'vc' 'parmetis' 'alberta')
#checkdepends=()
# 'blas: Basic Linear Algebra Subprograms'
# 'lapack: Linear Algebra PACKage'
# 'onetbb: High level abstract threading library'
# optdepends=(
#   'texlive-core: Type setting system'
#   'biber: A Unicode-capable BibTeX replacement for biblatex users'
#   'imagemagick: image viewing/manipulation program'
#   'python-sphinx: Building Sphinx documentation'
#   'doxygen: Generate the class documentation from C++ sources'
#   'inkscape: converts SVG images'
#   'vc: C++ Vectorization library'
#   'parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering'
#   'alberta: Adaptive multi-Level finite element toolbox')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(${pkgname}.opts https://gitlab.dune-project.org/extensions/${pkgname}/-/archive/releases/${_tarver}/${pkgname}-releases-${_tarver}.tar.gz)
#noextract=()
sha512sums=('')

# prepare() {
# }

build() {
  dunecontrol --opts=${pkgname}.opts cmake : make
}

# check() {

# }

package() {
  dunecontrol --only=${pkgname} make install DESTDIR="${pkgdir}"

  install -Dm644 ${pkgname}-releases-${pkgver}/COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"

  # install -dm755 "${pkgdir}/usr/share/doc/${pkgname}/doxygen"

  find "${pkgdir}" -type d -empty -delete
}
